HIMS ERP 1.0 - Feature #408

Gallery display like videos images and document
15/05/2024 09:44 PM - Pratyusha Atmakuri

Status: Resolved Start date: 15/05/2024
Priority: Normal Due date:

Assignee: Pratyusha Atmakuri % Done: 100%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: Category:

Description

History

#1 - 15/05/2024 09:17 AM - Pratyusha Atmakuri

- File bunny.png added

- File bunny1.png added

- File Video-player.mov added
- File video-slide.zip added
- % Done changed from 0 to 20

Implemented video gallery for multiple videos

#2 - 16/05/2024 07:55 AM - Pratyusha Atmakuri
- File Excel,pdf,ppt,doc.mov added
- File online_excel.zip added

- % Done changed from 20 to 40

Added Document example Excel, PPt, Document. Code is embed with online link https://view.officeapps.live.com/op/embed.aspx?src=

#3 - 21/05/2024 10:30 AM - Pratyusha Atmakuri
- File 4th second Video Plays from .mov added

- File Video by passing time.zip added

- % Done changed from 40 to 60

A video plays from start time 4 seconds passing value from a parameter
Attached Video and source files here

#4 - 21/05/2024 11:21 AM - Pratyusha Atmakuri

- File 60FPS _frames.mov added

- File 60FPS.zip added
- % Done changed from 60 to 80

Video will be played 60 FPS by passing a parameter value in the component

#5 - 21/05/2024 11:51 AM - Pratyusha Atmakuri
- % Done changed from 80 to 90

Forward & Backword Icon on a video player

HTML
https://view.officeapps.live.com/op/embed.aspx?src=

<div class="video-container">

<video #videoplayer controls>

<source src="assets/bunny1.mp4" type="video/mp4">
Your browser does not support the video tag.
</video>

<div class="controls">

<button (click)="backward(10)">

<i class="fas fa-backward"></i>

</button>

<button (click)="forward(10)">

<i class="fas fa-forward"></i>

</button>

</div>

</div>

import { Component, ViewChild, ElementRef, AfterViewInit } from '@angular/core’;

@Component({

selector: 'app-root',

templateUrl: "./app.component.html’,

styleUrls: ['./app.component.css'],

)

export class AppComponent {
@ViewChild('videoplayer', { static: false })
videoPlayer!: ElementRef<HTMLVideoElement>;

// Your other properties and methods...

backward (seconds: number): void {
const video = this.videoPlayer.nativeElement;
video.currentTime = Math.max (video.currentTime - seconds, 0);

}
forward (seconds: number): void {

const video = this.videoPlayer.nativeElement;
video.currentTime = Math.min (video.currentTime + seconds, video.duration);

CSS

.demo-chart {
height: 400px;
}

video({
width: 100%;
display: block;
}

button{
padding: 5px 10px;
margin: 5px;

cursor: pointer;

}
Tl

.actions {

padding: 0 16px;
min-height: 100%;
display: flex;
align-items: center;

}

.office-viewer {

width: 100%;

height: 80vh; /* 80% of the viewport height */
overflow: hidden;

}

.office-viewer iframe {
height: calc(100% - 22px); /* Adjust as needed */
1

h1,
h3 {
color: green;
text-align: center;

}

.videobox {

display: flex;
flex-direction: column;
align-items: center;
justify-content: center;

}

.controls {

position: absolute;

bottom: 10px;

left: 50%;

transform: translateX(-50%);

}

button {

margin: 0 5px;

padding: 5px;

font-size: 16px;

cursor: pointer;
background-color: transparent;
border: none;

}

button i {
font-size: 24px; /* Adjust icon size as needed */

}

CDN Font Awesome----------------------
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">

#6 - 26/05/2024 10:28 PM - Sivakanth Kesiraju

- Status changed from New to In Progress

#7 - 27/05/2024 11:02 PM - Pratyusha Atmakuri
- % Done changed from 90 to 100

Added all the details in tthe previous edits

#8 - 03/06/2024 10:20 AM - Pratyusha Atmakuri

- Status changed from In Progress to Resolved

Files

bunny1.png 24.4 KB 15/05/2024 Pratyusha Atmakuri
bunny.png 25.7 KB 15/05/2024 Pratyusha Atmakuri
Video-player.mov 78.4 MB 15/05/2024 Pratyusha Atmakuri
video-slide.zip 73.8 MB 15/05/2024 Pratyusha Atmakuri
Excel,pdf,ppt,doc.mov 69.3 MB 16/05/2024 Pratyusha Atmakuri
online_excel.zip 6.73 KB 16/05/2024 Pratyusha Atmakuri
4th second Video Plays from .mov 65.3 MB 21/05/2024 Pratyusha Atmakuri
Video by passing time.zip 7.23 KB 21/05/2024 Pratyusha Atmakuri
60FPS_frames.mov 20.3 MB 21/05/2024 Pratyusha Atmakuri
60FPS.zip 7.54 KB 21/05/2024 Pratyusha Atmakuri
